package com.atlassian.bitbucket.mesh.git.exception;

import com.atlassian.bitbucket.mesh.AbstractStatusException;
import io.grpc.Status;

import javax.annotation.Nullable;

public class InvalidArgumentException extends AbstractStatusException {

    public InvalidArgumentException(@Nullable String message) {
        super(message, Status.INVALID_ARGUMENT);
    }

    public InvalidArgumentException(@Nullable String message, @Nullable Throwable cause) {
        super(message, cause, Status.INVALID_ARGUMENT);
    }
}
